Name:             pgmodeler
Version:          0.9.0
Release:          %mkrel 1
Summary:          PostgreSQL Database Modeler

License:          GPLv3
URL:              http://www.pgmodeler.com.br/
Group:            Development/Databases
Source0:          https://github.com/%{name}/%{name}/archive/v%{version}.tar.gz
# https://github.com/pgmodeler/pgmodeler/issues/618
Source1:          %{name}.desktop
Source2:          %{name}-mime-dbm.xml
Patch0:           %{name}-0.9.0-mga-do-not-check-for-updates-by-default.patch

BuildRequires:    qt5-devel
BuildRequires:    pkgconfig(libxml-2.0)
BuildRequires:    pkgconfig(libpq)
BuildRequires:    pkgconfig(Qt5Svg)
BuildRequires:    desktop-file-utils
BuildRequires:    gettext

%description
PostgreSQL Database Modeler, or simply, pgModeler is an
open source tool for modeling databases that merges the classical
concepts of entity-relationship diagrams with specific features that
only PostgreSQL implements. The pgModeler translates the models created
by the user to SQL code and apply them onto database clusters (Version
9.x).

%package devel
Summary: Development files for %{name}
Group: System/Libraries
Requires: %{name} = %{version}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%autopatch -p1

%build
%qmake_qt5 -recursive \
    PREFIX=%{_prefix} \
    BINDIR=%{_bindir} \
    PRIVATEBINDIR+=%{_libexecdir} \
    PLUGINSDIR=%{_libdir}/%{name}/plugins \
    SHAREDIR=%{_datadir}/%{name} \
    DOCDIR=%{_docdir}/%{name} \
    PRIVATELIBDIR+=%{_libdir}/%{name} \
        %{name}.pro

%make

%install
%make_install INSTALL_ROOT=%{buildroot}

desktop-file-install --mode 644 \
    --dir %{buildroot}%{_datadir}/applications/ %{SOURCE1}

install -p -dm 755 %{buildroot}%{_datadir}/icons
install -p -m 644 conf/%{name}_logo.png %{buildroot}%{_datadir}/icons

install -p -dm 755 %{buildroot}%{_datadir}/mime/packages
install -p -m 644 %{SOURCE2} %{buildroot}%{_datadir}/mime/packages/%{name}.xml

rm -f %{buildroot}%{_datadir}/%{name}/conf/%{name}.conf.0000

mkdir -p %{buildroot}%{_libdir}/%{name}/plugins

%files
%doc CHANGELOG.md LICENSE README.md RELEASENOTES.md
%{_bindir}/%{name}
%{_bindir}/%{name}-cli
%{_libexecdir}/%{name}-ch
%{_libdir}/%{name}/lib*.so.*
%{_libdir}/%{name}/plugins
%{_datadir}/%{name}
%{_datadir}/icons/%{name}_logo.png
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/applications/%{name}.desktop

%files devel
%{_libdir}/%{name}/lib*.so



%changelog
* Mon Sep 04 2017 ns80 <ns80> 0.9.0-1.mga6
+ Revision: 1151107
- new version 0.9.0
- rediff patch do-not-check-for-updates-by-default

* Thu Jun 09 2016 ns80 <ns80> 0.8.2-1.mga6
+ Revision: 1020960
- new version 0.8.2

* Tue Feb 16 2016 umeabot <umeabot> 0.8.1-2.mga6
+ Revision: 962075
- Mageia 6 Mass Rebuild

* Tue Sep 08 2015 ns80 <ns80> 0.8.1-1.mga6
+ Revision: 874019
- imported package pgmodeler

